Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363893 - rubygem-rack-restful_submit: Broken dependency for rack
Summary: rubygem-rack-restful_submit: Broken dependency for rack
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-rack-restful_submit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 20:56 UTC by Jun Aruga
Modified: 2016-08-08 10:48 UTC (History)
1 user (show)

Fixed In Version: rubygem-rack-restful_submit-1.2.2-10.fc25, rubygem-rack-restful_submit-1.2.2-10.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-08 10:48:51 UTC


Attachments (Terms of Use)
Fix a broken dependency for rack (deleted)
2016-08-03 21:02 UTC, Jun Aruga
no flags Details | Diff

Description Jun Aruga 2016-08-03 20:56:34 UTC
Description of problem:

Broken dependency for rack in rawhide and f25 branch.
Becuase rubygem-rack was updated to 2.0.1.

Version-Release number of selected component (if applicable):
rubygem-rack-restful_submit-1.2.2-9.fc26

I will fix this by myself.

Comment 1 Jun Aruga 2016-08-03 21:02:28 UTC
Created attachment 1187194 [details]
Fix a broken dependency for rack

I fixed the broken dependency.
I did not need to update the version because the rpm package has already been a latest version.

Modification is simple.
However I compared the result of the latest version of gem2rpm with this rpm spec file. And modified several things for that.

Could you check my patch?
Thanks.

Comment 2 Vít Ondruch 2016-08-04 11:18:53 UTC
The attached patch looks good, but you could leave one empty line bellow the 'gem spec' line, it would make the .spec file more readable (just a minor nit). I approved you in PkgDB, feel free to submit the update. Thx.

Comment 3 Jun Aruga 2016-08-08 10:47:22 UTC
(In reply to Vít Ondruch from comment #2)
> The attached patch looks good, but you could leave one empty line bellow the
> 'gem spec' line, it would make the .spec file more readable (just a minor
> nit). I approved you in PkgDB, feel free to submit the update. Thx.

Hi,
Following your opinion, leaving the empty line, I pushed my patch to master and f25.
Thanks.


Note You need to log in before you can comment on or make changes to this bug.